{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:paper"
    },
    {
      "item": "minecraft:oxeye_daisy"
    },
    {
      "item": "minecraft:carrot"
    },
    {
      "item": "minecraft:oak_sapling"
    },
    {
      "item": "minecraft:bone_meal"
    },
    {
      "item": "minecraft:red_mushroom"
    },
    {
      "item": "minecraft:kelp"
    },
    {
      "item": "minecraft:sweet_berries"
    },
    {
      "item": "minecraft:spore_blossom"
    }
  ],
  "result": {
    "id": "minecraft:knowledge_book"
  }
}